/*
 * File: Tracing.java
 * ----------------------
 * Prints result of tracing program.
 */

import acm.program.*;
import acm.graphics.*;
import java.awt.*;

public class Tracing extends GraphicsProgram {

	public void run(){
		char a = 'a';
		int num = 5;
		GOval circle = new GOval(100, 100);
		String dukesPwd = "iloveCS106A";
		a = bark(num);
		squeak(circle, dukesPwd);
		println("all done!");
		
		// What are the values of our variables now?
		println("a: " + a);                 // 'b'
		println("num: " + num);             // 5
		println("circle: " + circle);       // width & height: 100, color: BLUE
		println("dukesPwd: " + dukesPwd);   // "iloveCS106A"
	}

	private char bark(int num){
		GOval circle = new GOval(150, 150);
		num += 25;
		return 'b';
	}

	private void squeak(GOval oval, String word){
		oval.setColor(Color.BLUE);
		word.toUpperCase();
	}

}
